osgParticle::DomainOperator::Domain Struct Reference

`#include <DomainOperator>`

## Public Types

enum | Type { UNDEFINED_DOMAIN = 0 , POINT_DOMAIN , LINE_DOMAIN , TRI_DOMAIN , RECT_DOMAIN , PLANE_DOMAIN , SPHERE_DOMAIN , BOX_DOMAIN , DISK_DOMAIN }

## Public Member Functions

| Domain (Type t)

## Public Attributes

osg::Plane | plane
osg::Vec3 | v1
osg::Vec3 | v2
osg::Vec3 | v3
osg::Vec3 | s1
osg::Vec3 | s2
float | r1
float | r2
Type | type

## Member Enumeration Documentation

## Type

enum osgParticle::DomainOperator::Domain::Type

Enumerator
UNDEFINED_DOMAIN |
POINT_DOMAIN |
LINE_DOMAIN |
TRI_DOMAIN |
RECT_DOMAIN |
PLANE_DOMAIN |
SPHERE_DOMAIN |
BOX_DOMAIN |
DISK_DOMAIN |

## Constructor & Destructor Documentation

## Domain()

osgParticle::DomainOperator::Domain::Domain | ( | Type | t | ) |

inline

References r1, r2, and type.

## Member Data Documentation

## plane

osg::Plane osgParticle::DomainOperator::Domain::plane

Referenced by osgParticle::DomainOperator::addDiskDomain(), osgParticle::DomainOperator::addPlaneDomain(), osgParticle::DomainOperator::addRectangleDomain(), and osgParticle::DomainOperator::addTriangleDomain().

## r1

float osgParticle::DomainOperator::Domain::r1

Referenced by osgParticle::DomainOperator::addDiskDomain(), osgParticle::DomainOperator::addLineSegmentDomain(), osgParticle::DomainOperator::addSphereDomain(), and Domain().

## r2

float osgParticle::DomainOperator::Domain::r2

Referenced by osgParticle::DomainOperator::addDiskDomain(), and Domain().

## s1

osg::Vec3 osgParticle::DomainOperator::Domain::s1

Referenced by osgParticle::DomainOperator::addRectangleDomain(), and osgParticle::DomainOperator::addTriangleDomain().

## s2

osg::Vec3 osgParticle::DomainOperator::Domain::s2

Referenced by osgParticle::DomainOperator::addRectangleDomain(), and osgParticle::DomainOperator::addTriangleDomain().

## type

Type osgParticle::DomainOperator::Domain::type

Referenced by Domain().

## v1

osg::Vec3 osgParticle::DomainOperator::Domain::v1

Referenced by osgParticle::DomainOperator::addBoxDomain(), osgParticle::DomainOperator::addDiskDomain(), osgParticle::DomainOperator::addLineSegmentDomain(), osgParticle::DomainOperator::addPointDomain(), osgParticle::DomainOperator::addRectangleDomain(), osgParticle::DomainOperator::addSphereDomain(), and osgParticle::DomainOperator::addTriangleDomain().

## v2

osg::Vec3 osgParticle::DomainOperator::Domain::v2

Referenced by osgParticle::DomainOperator::addBoxDomain(), osgParticle::DomainOperator::addDiskDomain(), osgParticle::DomainOperator::addLineSegmentDomain(), osgParticle::DomainOperator::addRectangleDomain(), and osgParticle::DomainOperator::addTriangleDomain().

## v3

osg::Vec3 osgParticle::DomainOperator::Domain::v3

Referenced by osgParticle::DomainOperator::addRectangleDomain(), and osgParticle::DomainOperator::addTriangleDomain().

The documentation for this struct was generated from the following file:

- DomainOperator